## gnustep-netclasses 1.06.dfsg

=== debian/changelog ===
gnustep-netclasses (1.06.dfsg-7) unstable; urgency=medium

  * debian/patches/NSUInteger-fixes.patch: New; fixes bug with joining a
    channel on 64-bit architectures (Closes: #755514).
  * debian/patches/series: Update.

 -- Yavor Doganov <yavor@gnu.org>  Wed, 29 Oct 2014 17:56:36 +0200

gnustep-netclasses (1.06.dfsg-6) unstable; urgency=medium

  * debian/source/format: Switch to 3.0 (quilt).
  * debian/control (Build-Depends): Remove quilt.
    (Homepage, Vcs-Arch): Remove.
    (Vcs-Git, Vcs-Browser): Add.
    (Standards-Version): Compliant with 3.9.5.
  * debian/README.source: delete.
  * debian/rules: Don't include patchsys-quilt.mk.  Pass OBJCFLAGS.
  * debian/patches/gcc-warnings.patch: New (Closes: #749748).
  * debian/patches/fix-log-format.patch: New; taken from upstream.
  * debian/patches/series: Update.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 03 Jun 2014 02:52:44 +0300

gnustep-netclasses (1.06.dfsg-5) unstable; urgency=low

  * debian/rules (OPTFLAG): No longer define; rework noopt handling to be
    compatible with gnustep-make/2.4.x (Closes: #581953).

 -- Yavor Doganov <yavor@gnu.org>  Thu, 27 May 2010 14:37:16 +0300

gnustep-netclasses (1.06.dfsg-4) unstable; urgency=low

  * debian/control (Maintainer): Set to the GNUstep team.
    (Uploaders, Homepage, Vcs-Arch): New fields.
    (Build-Depends): Remove version from libgnustep-base-dev; bump
    debhelper.  Add quilt.
    (Standards-Version): Set to 3.8.4.
    (gnustep-netclasses): Annihilate.
    (Depends): Add libgnustep-base-dev and ${gnustep:Depends}, remove
    ${shlibs:Depends}.
    (libnetclasses0) <Depends>: Add ${gnustep:Depends}.
    (Conflicts, Replaces): Remove.
    (Section): Change to `gnustep'; binary packages are in `libdevel' and
    `libs'.
  * debian/rules: Enable the standard lintian overrides.  Don't install
    README; it's full of obsolete stuff.  Include patchsys-quilt.mk
    (clean): New target.
    (messages): Define to `yes' to obtain verbose builds.
    (OPTFLAG): Define and use to get optimized builds by default.
  * debian/patches/no-rfc.patch: New; split from the diff.gz.
  * debian/patches/link-libs.patch: New; link against libobjc and
    libgnustep-base.
  * debian/patches/series:
  * debian/README.source:
  * debian/source/format:
  * debian/watch: New file.
  * libnetclasses-dev.doc-base (Section): Set to
    `Programming/Objective-C'.
    (Abstract): Typo fix.
  * debian/copyright: Update note about Debian maintainership; add the
    link to LGPL-2.1 as well.

 -- Yavor Doganov <yavor@gnu.org>  Sat, 15 May 2010 00:06:59 +0300

gnustep-netclasses (1.06.dfsg-3) unstable; urgency=low

  * libnetclasses-dev: depend on libnetclasses0.  Thanks to Yavor for
    finding this bug.  (Hubert kicks himself for missing this.)

 -- Hubert Chathi <uhoreg@debian.org>  Tue, 13 Nov 2007 09:38:30 -0500

gnustep-netclasses (1.06.dfsg-2) unstable; urgency=low

  * debian/rules: Don't try to be too clever; don't set DEB_DESTDIR in
    install/libnetclasses-dev rule. (Closes: #448150)
    [Hubert wonders how that managed to build properly under his pbuilder.]

 -- Hubert Chathi <uhoreg@debian.org>  Fri, 26 Oct 2007 12:14:08 -0400

gnustep-netclasses (1.06.dfsg-1) unstable; urgency=low

  * New upstream release.
  * Update download location.
  * New maintainer.
  * Split package into lib and -dev packages, and properly version the lib
    package.
  * Use cdbs-based debian/rules.
  * Bumped standards version to 3.7.2 (no changes).
  * Bump debhelper compatibility version to 5.
  * Don't install README.osx.
  * Install the examples.
  * Update FSF address in copyright file.

 -- Hubert Chathi <uhoreg@debian.org>  Thu, 18 Oct 2007 18:20:34 -0400

gnustep-netclasses (0.0.20040112.dfsg-1) unstable; urgency=medium

  * QA upload.
  * Set maintainer to QA Group (Closes: #356523).

 -- Luk Claes <luk@debian.org>  Sun, 19 Aug 2007 14:04:14 +0000

gnustep-netclasses (0.0.20040112.dfsg-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Update to libgnustep-base1.13 (Closes: #390403)
  * Bump standards version

 -- Julien Danjou <acid@debian.org>  Tue, 10 Oct 2006 11:13:49 +0200

gnustep-netclasses (0.0.20040112.dfsg-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Repackage upstream tarball without RFC (Closes: #365182)
  * Add /usr/include/GNUstep/Headers/ to include dir
  * Update FSF address in copyright file

 -- Julien Danjou <acid@debian.org>  Fri,  2 Jun 2006 12:03:00 +0200

gnustep-netclasses (0.0.20040112-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * Update to libgnustep-base1.11 (Closes: #352372).
  * Add gnustep-make as build-dep for gs_dhgnustep.

 -- Luk Claes <luk@debian.org>  Sun, 12 Mar 2006 16:54:26 +0100 

gnustep-netclasses (0.0.20040112-2) unstable; urgency=low

  * Update for new libgnustep-base1.10

 -- Brent A. Fulgham <bfulgham@debian.org>  Sun, 21 Nov 2004 18:04:29 -0800

gnustep-netclasses (0.0.20040112-1) unstable; urgency=low

  * Update to new version.
  * Add build dependency on libgnustep-base1-dev (Closes:#259670)
    (Thanks to Matt Kraai for his patch).
  * Gnustep-netclasses is a set of libraries, not an executable.
    (Closes:#256155)

 -- Brent A. Fulgham <bfulgham@debian.org>  Fri,  6 Aug 2004 20:39:52 -0700

gnustep-netclasses (0.0.20032612-1) unstable; urgency=low

  * Renamed to avoid polluting package namespace.  (Closes:#241621)

 -- Brent A. Fulgham <bfulgham@debian.org>  Sun,  4 Apr 2004 21:01:03 -0700

netclasses-framework (0.0.20032612-1) unstable; urgency=low

  * Initial Release. Thanks to Roberto Pariset <victorheremita@fastwebnet.it>
    for the help and Eric Heintzmann.
  * Incorporated recommended changes thanks to James Troup.

 -- Brent A. Fulgham <bfulgham@debian.org>  Mon, 16 Feb 2004 19:42:09 -0800
