=== debian/control ===
Source: gnustep-netclasses
Section: gnustep
Priority: optional
Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
Uploaders: Yavor Doganov <yavor@gnu.org>
Build-Depends: cdbs,
	       debhelper (>= 7),
	       libgnustep-base-dev
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/pkg-gnustep/gnustep-netclasses.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-gnustep/gnustep-netclasses.git
 
Package: libnetclasses-dev
Architecture: any
Section: libdevel
Depends: libnetclasses0 (= ${binary:Version}),
	 libgnustep-base-dev,
	 ${gnustep:Depends},
	 ${misc:Depends}
Description: Objective-C framework for socket programming with GNUstep (devel)
 Netclasses is an easy to use interface to socket programming in Objective-C
 with GNUstep. The core netclasses supports virtually any protocol, but the
 distribution comes with everything needed for TCP/IP (opening ports,
 background connections, etc.). Netclasses seamlessly integrates into
 NSRunLoop, which means there should be no need for redesigning applications
 to use it.
 .
 This package contains the development files.

Package: libnetclasses0
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
	 ${gnustep:Depends},
	 ${misc:Depends}
Description: Objective-C framework for socket programming with GNUstep (libs)
 Netclasses is an easy to use interface to socket programming in Objective-C
 with GNUstep. The core netclasses supports virtually any protocol, but the
 distribution comes with everything needed for TCP/IP (opening ports,
 background connections, etc.). Netclasses seamlessly integrates into
 NSRunLoop, which means there should be no need for redesigning applications
 to use it.
 .
 This package contains the library files.
