=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_GS_FRAMEWORKS = netclasses

DEB_GS_CURRENT_VERSION_NAME_netclasses = 1.06

DEB_GS_DEVPKG_NAME_netclasses = libnetclasses-dev

include /usr/share/cdbs/1/rules/gnustep.mk
include /usr/share/cdbs/1/class/gnumakefile.mk

DEB_GS_AUTO_LINTIAN_OVERRIDES = y
DEB_GS_AUTO_DH_INSTALL = y

DEB_DH_MAKESHLIBS_ARGS_ALL = -V
DEB_DH_SHLIBDEPS_INCLUDE = $(d_lib)/$(GNUSTEP_SYSTEM_LIBRARIES)
framework = netclasses
p_lib = $(DEB_GS_LIBPKG_NAME_$(framework))
d_lib = $(CURDIR)/debian/$(p_lib)
p_dev = $(DEB_GS_DEVPKG_NAME_$(framework))
d_dev = $(CURDIR)/debian/$(p_dev)

DEB_INSTALL_DOCS_ALL :=
DEB_INSTALL_EXAMPLES_libnetclasses-dev = Examples/*

export messages := yes

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
optim := debug=yes
endif

DEB_MAKE_INVOKE += $(optim) OBJCFLAGS="$(CFLAGS)"

common-configure-arch:: config.status

config.status:
	./configure

# Remove files not deleted by gnustep-make.
clean::
	$(RM) GNUmakefile Source/GNUmakefile Source/config.h config.log \
	  config.status

build/libnetclasses-dev::
	$(DEB_MAKE_INVOKE) -C Documentation

install/libnetclasses-dev::
	$(DEB_MAKE_INVOKE) -C Documentation $(DEB_MAKE_INSTALL_TARGET) DESTDIR=$(d_dev)
	mkdir -p $(d_dev)/usr/share/doc/$(p_dev)
	ln -s $(GNUSTEP_SYSTEM_DOC)/Developer/netclasses $(d_dev)/usr/share/doc/$(p_dev)/html
