=== debian/watch ===
version=3
opts=dversionmangle=s/\.dfsg$// \
  http://sf.net/netclasses/netclasses-([\d\.]*)\.tar\.gz
