## gnustep-netclasses 1.06.dfsg%2Breally1.1.0

=== debian/changelog ===
gnustep-netclasses (1.06.dfsg+really1.1.0-3) unstable; urgency=medium

  * debian/control (Build-Depends): Require libgnustep-base-dev (>=
    1.30.0-10) for the multiarch layout.
    (libnetclasses-dev) <Multi-Arch>: Set to same.
    <Recommends>: Promote the -doc package from Suggests.
    (libnetclasses1): Mark as Multi-Arch: same.
    (gnustep-netclasses-doc): Recommend libnetclasses-dev.
  * debian/tests/testsuite: Update for multiarch (Closes: #1093974).
  * debian/libnetclasses-dev.install: Likewise.
  * debian/libnetclasses1.install: Likewise.
  * debian/upstream/metadata: New file.
  * debian/copyright: Add comment for lintian's sake; update years.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 28 Jan 2025 12:56:17 +0200

gnustep-netclasses (1.06.dfsg+really1.1.0-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/gbp.conf: Remove debian-branch.
  * debian/tests/testsuite: Support "terse" in DEB_BUILD_OPTIONS.
  * debian/copyright: Lowercase Upstream-Name.

 -- Yavor Doganov <yavor@gnu.org>  Sat, 05 Oct 2024 04:43:36 +0300

gnustep-netclasses (1.06.dfsg+really1.1.0-1) experimental; urgency=medium

  * New upstream release 1.1.0 (Closes: #1081645):
    + The new upstream version 1.1.0 sorts as older than 1.06(.dfsg) so
      use a +really workaround until upstream releases 1.7.x.
    + RFC dropped upstream so no need to repackage the upstream tarball.
    + SONAME change: libnetclasses0 -> libnetclasses1.
  * debian/gbp.conf: New file.
  * debian/watch: Replace dversionmangle with uversionmangle.
  * debian/patches/NSUInteger-fixes.patch: Delete; present upstream.
  * debian/patches/fix-log-format.patch: Likewise.
  * debian/patches/gcc-warnings.patch: Delete hunks applied upstream.
  * debian/patches/link-libs.patch: Refresh.
  * debian/patches/no-rfc.patch: Set Forwarded: no as this patch is still
    needed to avoid FTBFS.
  * debian/control (libnetclasses-dev) <Depends>: Replace "libnetclasses0
    (= ${binary:Version}" with "libnetclasses1 (= ${binary:Version}".
    <Suggests>: Add gnustep-netclasses-doc.
    (Build-Depends-Indep): Set to "gnustep-base-doc <!nodoc>".
    (Description): Make short descriptions shorter.
    (libnetclasses0): Rename package to...
    (libnectlasses1): ...following the SONAME change.
    (gnustep-netclasses-doc): New package; move documentation here.
  * debian/libnetclasses0.install: Rename as...
  * debian/libnetclasses1.install: ...and use wildcards for the version.
  * debian/libnetclasses-dev.install.in: Rename as...
  * debian/libnetclasses-dev.install: ...and use wildcards for the version.
    Remove usr/share since documentation is moved to a new package.
  * debian/libnetclasses-dev.links.in: Rename as...
  * debian/gnustep-netclasses-doc.links.in: ...and amend the symlink.
  * debian/libnetclasses-dev.examples: Rename as...
  * debian/gnustep-netclasses-doc.examples: ...to match the -doc package.
  * debian/libnetclasses-dev.doc-base: Rename as...
  * debian/gnustep-netclasses-doc.doc-base: ...and amend paths.
  * debian/gnustep-netclasses-doc.install.in: New file.
  * debian/rules (override_dh_auto_build): Adjust recipe for the new
    gnustep-netclasses-doc package.
    (override_dh_auto_clean): Likewise.
    (override_dh_auto_install): Rename override as...
    (override_dh_auto_install-indep): ...and simplify.
  * debian/tests/testsuite: Pass messages=yes to make and use
    dpkg-buildflags to pacify blhc.
  * debian/copyright: Remove comment about repackaging.  Add GAP as
    copyright holder.

 -- Yavor Doganov <yavor@gnu.org>  Fri, 27 Sep 2024 08:52:01 +0300

gnustep-netclasses (1.06.dfsg-9) unstable; urgency=medium

  * debian/tests/testsuite: Skip conversions test on big-endian
    architectures as it's doomed to fail there.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 03 Sep 2024 22:31:50 +0300

gnustep-netclasses (1.06.dfsg-8) unstable; urgency=medium

  * Run wrap-and-sort -bast.
  * debian/control (Build-Depends): Switch to the debhelper-compat
    mechanism; set level to 13.  Add dpkg-build-api (= 1), remove cdbs.
    (Depends): Get rid of ${gnustep:Depends}; obsolete.
    (Vcs-Git, Vcs-Browser): Point to the not-so-new repo at Salsa.
    (Standards-Version): Claim compliance with 4.7.0 as of this release.
  * debian/compat: Delete.
  * debian/rules: Rewrite from scratch for modern dh.
  * debian/libnetclasses0.install: New file.
  * debian/libnetclasses-dev.install.in: Likewise.
  * debian/libnetclasses-dev.links.in: Likewise.
  * debian/libnetclasses-dev.examples: Likewise.
  * debian/tests/control: Likewise.
  * debian/tests/adequate: Likewise.
  * debian/tests/testsuite: Likewise.
  * debian/patches/fix-log-format.patch: Mark as Forwarded: not-needed as
    UDD cannot determine that it's taken from upstream.
  * debian/patches/NSUInteger-fixes.patch: Likewise.
  * debian/patches/no-rfc.patch: Add DEP-3 headers; set as Debian-specific.
  * debian/watch: Bump to version 4; switch to Savannah/GAP.
  * debian/changelog: Strip trailing whitespace.
  * debian/copyright: Rewrite in machine-readable format.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 03 Sep 2024 20:59:25 +0300
