## gnustep-netclasses 1.06.dfsg+really1.1.0

=== debian/changelog ===
gnustep-netclasses (1.06.dfsg+really1.1.0-3build2) questing; urgency=medium

  * Rebuild against latest gnustep

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 05 May 2025 08:39:17 -0400

gnustep-netclasses (1.06.dfsg+really1.1.0-3build1) plucky; urgency=medium

  * Rebuild against new multiarch framework.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Feb 2025 00:28:49 +0100
