=== debian/watch ===
version=4

# There's a version sqew (latest upstream release 1.1.0 sorts as older
# than the previous 1.06).  The dot before "dsfg" only make things
# worse.  To avoid epoch, we use an ugly workaround until upstream
# releases 1.7 (or 2.0).  The 1.1.0 release does not include the RFC
# so there's no need for version mangling.
opts=uversionmangle=s/^/1\.06\.dfsg\+really/ \
https://savannah.nongnu.org/download/gap/netclasses-@ANY_VERSION@\.tar\.gz
